Subject: Re: [PATCH 1/2] lib: Provide generic atomic64_t implementation

From: Roland Dreier <[email-masked]>
Date: Sun, 14 Jun 2009 19:44:45 -0700

> The new Nehalems provide 8 logical threads in a single socket.  All
 > those threads share a cache, and they have cmpxchg8b anyway, so this
 > won't matter.

FWIW, Nehalem EX actually goes to 8 cores/16 threads per socket.  But
worrying about 32-bit performance on Nehalem is a little silly -- this
simplest solution is simply to run a 64-bit kernel.

 - R.